
# qddb/Headers/Makefile.in
# 
# Copyright (C) 1993, 1994 Herrin Software Development, Inc.
# All rights reserved.
# 
# This file is part of Qddb.
# 
# Qddb is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License Version 2
# as published by the Free Software Foundation.
# 
# Qddb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Qddb; see the file LICENSE.  If not, write to:
# 
# 	Herrin Software Development, Inc. 
# 	R&D Division
# 	41 South Highland Ave. 
# 	Prestonsburg, KY 41653 
# 


srcdir    = ..
VPATH     = ..
CC        = @CC@
INSTALL   = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA    = @INSTALL_DATA@

@SET_MAKE@

DEFS	  = @DEFS@
LIBS	  = @LIBS@

CFLAGS	  = @CFLAGS@
LDFLAGS	  = -g

prefix 	    = @prefix@
exec_prefix = $(prefix)
bindir	    = ${prefix}/bin
libdir	    = ${prefix)/lib
headerdir   = ${prefix}/include

YACC = @BISON@
YFLAGS = -dy
LEX = @FLEX@

libdir	    = $(exec_prefix)/lib

SHELL = /bin/sh

SRCS=Qddb_Changes.h Qddb_Conversion.h Qddb_Globals.h Qddb_Hash.h \
	Qddb_Index.h Qddb_KeyList.h Qddb_Memory.h Qddb.h \
	Qddb_Rows.h Qddb_Schema.h Qddb_Search.h Qddb_Sort.h \
	Qddb_Sql.h Qddb_TCL.h Qddb_Tree.h Qddb_Utils.h Qddb_Config.h \
	GNUmalloc.h Regexp.h tclQddb.h

INSTALLSRCS=${headerdir}/Qddb_Changes.h ${headerdir}/Qddb_Conversion.h \
	${headerdir}/Qddb_Globals.h ${headerdir}/Qddb_Hash.h \
	${headerdir}/Qddb_Index.h ${headerdir}/Qddb_KeyList.h ${headerdir}/Qddb_Memory.h \
	${headerdir}/Qddb.h ${headerdir}/Qddb_Rows.h ${headerdir}/Qddb_Schema.h \
	${headerdir}/Qddb_Search.h ${headerdir}/Qddb_Sort.h ${headerdir}/Qddb_Sql.h \
	${headerdir}/Qddb_TCL.h ${headerdir}/Qddb_Tree.h ${headerdir}/Qddb_Utils.h \
	${headerdir}/Qddb_Config.h ${headerdir}/GNUmalloc.h ${headerdir}/Regexp.h \
	${headerdir}/tclQddb.h

all:

install: ${INSTALLSRCS}
	@echo "All done in `pwd`"

${INSTALLSRCS}: ${SRCS}
	for i in ${SRCS}; do \
		${INSTALL_DATA} $$i ${headerdir}/; \
	done

Makefile: Makefile.in ${srcdir}/config.status
	-(cd ${srcdir}; ${SHELL} ./config.status)

TAGS: ${SRCS}
	etags ${SRCS}

checkin: Makefile
	for i in ${SRCS} Makefile.in; do \
		${srcdir}/checkin.sh ${srcdir} $$i ; \
	done

clean:
	-rm -f *.o core core.* *\~ ${EXECS}

mostlyclean: clean

distclean: clean
	-rm -f Makefile Qddb_Config.h
